<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head><meta http-equiv="content-type" content="text/html; charset=UTF-8" />
<title>DndReverseCodeDialog xref</title>
<link type="text/css" rel="stylesheet" href="../../../../../../../../../stylesheet.css" />
</head>
<body>
<div id="overview"><a href="../../../../../../../../../../apidocs/org/eclipse/papyrus/designer/languages/java/reverse/ui/dialog/DndReverseCodeDialog.html">View Javadoc</a></div><pre>
<a class="jxr_linenumber" name="L1" href="#L1">1</a>   <em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L2" href="#L2">2</a>   <em class="jxr_javadoccomment"> * All rights reserved. This program and the accompanying materials</em>
<a class="jxr_linenumber" name="L3" href="#L3">3</a>   <em class="jxr_javadoccomment"> * are made available under the terms of the Eclipse Public License v1.0</em>
<a class="jxr_linenumber" name="L4" href="#L4">4</a>   <em class="jxr_javadoccomment"> * which accompanies this distribution, and is available at</em>
<a class="jxr_linenumber" name="L5" href="#L5">5</a>   <em class="jxr_javadoccomment"> * <a href="http://www.eclipse.org/legal/epl-v10.htm" target="alexandria_uri">http://www.eclipse.org/legal/epl-v10.htm</a>l</em>
<a class="jxr_linenumber" name="L6" href="#L6">6</a>   <em class="jxr_javadoccomment"> */</em>
<a class="jxr_linenumber" name="L7" href="#L7">7</a>   <strong class="jxr_keyword">package</strong> org.eclipse.papyrus.designer.languages.java.reverse.ui.dialog;
<a class="jxr_linenumber" name="L8" href="#L8">8</a>   
<a class="jxr_linenumber" name="L9" href="#L9">9</a>   <strong class="jxr_keyword">import</strong> java.util.List;
<a class="jxr_linenumber" name="L10" href="#L10">10</a>  
<a class="jxr_linenumber" name="L11" href="#L11">11</a>  <strong class="jxr_keyword">import</strong> org.eclipse.jface.dialogs.IDialogSettings;
<a class="jxr_linenumber" name="L12" href="#L12">12</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.java.reverse.ui.Activator;
<a class="jxr_linenumber" name="L13" href="#L13">13</a>  <strong class="jxr_keyword">import</strong> org.eclipse.swt.SWT;
<a class="jxr_linenumber" name="L14" href="#L14">14</a>  <strong class="jxr_keyword">import</strong> org.eclipse.swt.widgets.Button;
<a class="jxr_linenumber" name="L15" href="#L15">15</a>  <strong class="jxr_keyword">import</strong> org.eclipse.swt.widgets.Composite;
<a class="jxr_linenumber" name="L16" href="#L16">16</a>  <strong class="jxr_keyword">import</strong> org.eclipse.swt.widgets.Control;
<a class="jxr_linenumber" name="L17" href="#L17">17</a>  <strong class="jxr_keyword">import</strong> org.eclipse.swt.widgets.Shell;
<a class="jxr_linenumber" name="L18" href="#L18">18</a>  
<a class="jxr_linenumber" name="L19" href="#L19">19</a>  
<a class="jxr_linenumber" name="L20" href="#L20">20</a>  <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">class</strong> <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/dialog/DndReverseCodeDialog.html">DndReverseCodeDialog</a> <strong class="jxr_keyword">extends</strong> <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/dialog/ReverseCodeDialog.html">ReverseCodeDialog</a> {
<a class="jxr_linenumber" name="L21" href="#L21">21</a>  
<a class="jxr_linenumber" name="L22" href="#L22">22</a>  	<strong class="jxr_keyword">private</strong> <strong class="jxr_keyword">static</strong> <strong class="jxr_keyword">final</strong> String DISPLAY_MODEL_UID = <span class="jxr_string">":DISPLAY_MODEL"</span>; <em class="jxr_comment">//$NON-NLS-1$</em>
<a class="jxr_linenumber" name="L23" href="#L23">23</a>  	<strong class="jxr_keyword">private</strong> <strong class="jxr_keyword">static</strong> <strong class="jxr_keyword">final</strong> String DISPLAY_PACKAGES_UID = <span class="jxr_string">":DISPLAY_PACKAGES"</span>; <em class="jxr_comment">//$NON-NLS-1$</em>
<a class="jxr_linenumber" name="L24" href="#L24">24</a>  	<strong class="jxr_keyword">private</strong> <strong class="jxr_keyword">static</strong> <strong class="jxr_keyword">final</strong> String DISPLAY_CU_UID = <span class="jxr_string">":DISPLAY_CU"</span>; <em class="jxr_comment">//$NON-NLS-1$</em>
<a class="jxr_linenumber" name="L25" href="#L25">25</a>  	<strong class="jxr_keyword">private</strong> Button displayModelCheckbox;
<a class="jxr_linenumber" name="L26" href="#L26">26</a>  	<strong class="jxr_keyword">private</strong> Button displayPackagesCheckbox;
<a class="jxr_linenumber" name="L27" href="#L27">27</a>  	<strong class="jxr_keyword">private</strong> Button displayCUCheckbox;
<a class="jxr_linenumber" name="L28" href="#L28">28</a>  
<a class="jxr_linenumber" name="L29" href="#L29">29</a>  	<strong class="jxr_keyword">private</strong> <strong class="jxr_keyword">boolean</strong> displayModel;
<a class="jxr_linenumber" name="L30" href="#L30">30</a>  	<strong class="jxr_keyword">private</strong> <strong class="jxr_keyword">boolean</strong> displayPackages;
<a class="jxr_linenumber" name="L31" href="#L31">31</a>  	<strong class="jxr_keyword">private</strong> <strong class="jxr_keyword">boolean</strong> displayCU;
<a class="jxr_linenumber" name="L32" href="#L32">32</a>  
<a class="jxr_linenumber" name="L33" href="#L33">33</a>  	<strong class="jxr_keyword">public</strong> <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/dialog/DndReverseCodeDialog.html">DndReverseCodeDialog</a>(Shell parentShell, String modelUid, String initialValue, List&lt;String&gt; searchPathsInitialValues) {
<a class="jxr_linenumber" name="L34" href="#L34">34</a>  		<strong class="jxr_keyword">super</strong>(parentShell, modelUid, initialValue, searchPathsInitialValues);
<a class="jxr_linenumber" name="L35" href="#L35">35</a>  
<a class="jxr_linenumber" name="L36" href="#L36">36</a>  	}
<a class="jxr_linenumber" name="L37" href="#L37">37</a>  
<a class="jxr_linenumber" name="L38" href="#L38">38</a>  	@Override
<a class="jxr_linenumber" name="L39" href="#L39">39</a>  	<strong class="jxr_keyword">protected</strong> Control createDialogArea(Composite parent) {
<a class="jxr_linenumber" name="L40" href="#L40">40</a>  		IDialogSettings settings = Activator.getDefault().getDialogSettings();
<a class="jxr_linenumber" name="L41" href="#L41">41</a>  		Composite composite = (Composite) <strong class="jxr_keyword">super</strong>.createDialogArea(parent);
<a class="jxr_linenumber" name="L42" href="#L42">42</a>  
<a class="jxr_linenumber" name="L43" href="#L43">43</a>  		<em class="jxr_comment">// Create button to display or not the model</em>
<a class="jxr_linenumber" name="L44" href="#L44">44</a>  		displayModelCheckbox = <strong class="jxr_keyword">new</strong> Button(composite, SWT.CHECK);
<a class="jxr_linenumber" name="L45" href="#L45">45</a>  		displayModelCheckbox.setText(<span class="jxr_string">"Display reversed Model into diagram"</span>);
<a class="jxr_linenumber" name="L46" href="#L46">46</a>  		displayModelCheckbox.setSelection(settings.getBoolean(MODEL_UID + DISPLAY_MODEL_UID));
<a class="jxr_linenumber" name="L47" href="#L47">47</a>  
<a class="jxr_linenumber" name="L48" href="#L48">48</a>  		<em class="jxr_comment">// Create button to display or not package</em>
<a class="jxr_linenumber" name="L49" href="#L49">49</a>  		displayPackagesCheckbox = <strong class="jxr_keyword">new</strong> Button(composite, SWT.CHECK);
<a class="jxr_linenumber" name="L50" href="#L50">50</a>  		displayPackagesCheckbox.setText(<span class="jxr_string">"Display reversed UML::packages into diagram"</span>);
<a class="jxr_linenumber" name="L51" href="#L51">51</a>  		displayPackagesCheckbox.setSelection(settings.getBoolean(MODEL_UID + DISPLAY_PACKAGES_UID));
<a class="jxr_linenumber" name="L52" href="#L52">52</a>  
<a class="jxr_linenumber" name="L53" href="#L53">53</a>  		<em class="jxr_comment">// Create button to display or not CompilationUnit</em>
<a class="jxr_linenumber" name="L54" href="#L54">54</a>  		displayCUCheckbox = <strong class="jxr_keyword">new</strong> Button(composite, SWT.CHECK);
<a class="jxr_linenumber" name="L55" href="#L55">55</a>  		displayCUCheckbox.setText(<span class="jxr_string">"Display UML::classes, UML::interfaces, UML::enumerations into diagram"</span>);
<a class="jxr_linenumber" name="L56" href="#L56">56</a>  		displayCUCheckbox.setSelection(settings.getBoolean(MODEL_UID + DISPLAY_CU_UID));
<a class="jxr_linenumber" name="L57" href="#L57">57</a>  
<a class="jxr_linenumber" name="L58" href="#L58">58</a>  		<strong class="jxr_keyword">return</strong> composite;
<a class="jxr_linenumber" name="L59" href="#L59">59</a>  	}
<a class="jxr_linenumber" name="L60" href="#L60">60</a>  
<a class="jxr_linenumber" name="L61" href="#L61">61</a>  	@Override
<a class="jxr_linenumber" name="L62" href="#L62">62</a>  	<strong class="jxr_keyword">protected</strong> <strong class="jxr_keyword">void</strong> okPressed() {
<a class="jxr_linenumber" name="L63" href="#L63">63</a>  		<em class="jxr_comment">// add selection into fields to prevent dialog disposing</em>
<a class="jxr_linenumber" name="L64" href="#L64">64</a>  		displayModel = displayModelCheckbox.getSelection();
<a class="jxr_linenumber" name="L65" href="#L65">65</a>  		displayPackages = displayPackagesCheckbox.getSelection();
<a class="jxr_linenumber" name="L66" href="#L66">66</a>  		displayCU = displayCUCheckbox.getSelection();
<a class="jxr_linenumber" name="L67" href="#L67">67</a>  
<a class="jxr_linenumber" name="L68" href="#L68">68</a>  		<em class="jxr_comment">// save selection into settings</em>
<a class="jxr_linenumber" name="L69" href="#L69">69</a>  		IDialogSettings settings = Activator.getDefault().getDialogSettings();
<a class="jxr_linenumber" name="L70" href="#L70">70</a>  		settings.put(MODEL_UID + DISPLAY_MODEL_UID, displayModel);
<a class="jxr_linenumber" name="L71" href="#L71">71</a>  		settings.put(MODEL_UID + DISPLAY_PACKAGES_UID, displayPackages);
<a class="jxr_linenumber" name="L72" href="#L72">72</a>  		settings.put(MODEL_UID + DISPLAY_CU_UID, displayCU);
<a class="jxr_linenumber" name="L73" href="#L73">73</a>  		<strong class="jxr_keyword">super</strong>.okPressed();
<a class="jxr_linenumber" name="L74" href="#L74">74</a>  	}
<a class="jxr_linenumber" name="L75" href="#L75">75</a>  
<a class="jxr_linenumber" name="L76" href="#L76">76</a>  	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L77" href="#L77">77</a>  <em class="jxr_javadoccomment">	 *</em>
<a class="jxr_linenumber" name="L78" href="#L78">78</a>  <em class="jxr_javadoccomment">	 * @return true if displayModelCheckbox is checked</em>
<a class="jxr_linenumber" name="L79" href="#L79">79</a>  <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L80" href="#L80">80</a>  	<strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">boolean</strong> displayModel() {
<a class="jxr_linenumber" name="L81" href="#L81">81</a>  		<strong class="jxr_keyword">return</strong> displayModel;
<a class="jxr_linenumber" name="L82" href="#L82">82</a>  	}
<a class="jxr_linenumber" name="L83" href="#L83">83</a>  
<a class="jxr_linenumber" name="L84" href="#L84">84</a>  	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L85" href="#L85">85</a>  <em class="jxr_javadoccomment">	 *</em>
<a class="jxr_linenumber" name="L86" href="#L86">86</a>  <em class="jxr_javadoccomment">	 * @return true if displayPackagesCheckbox is checked</em>
<a class="jxr_linenumber" name="L87" href="#L87">87</a>  <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L88" href="#L88">88</a>  	<strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">boolean</strong> displayPackages() {
<a class="jxr_linenumber" name="L89" href="#L89">89</a>  		<strong class="jxr_keyword">return</strong> displayPackages;
<a class="jxr_linenumber" name="L90" href="#L90">90</a>  	}
<a class="jxr_linenumber" name="L91" href="#L91">91</a>  
<a class="jxr_linenumber" name="L92" href="#L92">92</a>  	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L93" href="#L93">93</a>  <em class="jxr_javadoccomment">	 *</em>
<a class="jxr_linenumber" name="L94" href="#L94">94</a>  <em class="jxr_javadoccomment">	 * @return true if displayCUCheckbox is checked</em>
<a class="jxr_linenumber" name="L95" href="#L95">95</a>  <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L96" href="#L96">96</a>  	<strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">boolean</strong> displayCU() {
<a class="jxr_linenumber" name="L97" href="#L97">97</a>  		<strong class="jxr_keyword">return</strong> displayCU;
<a class="jxr_linenumber" name="L98" href="#L98">98</a>  	}
<a class="jxr_linenumber" name="L99" href="#L99">99</a>  }
</pre>
<hr/>
<div id="footer">Copyright &#169; 2016&#x2013;2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</div>
</body>
</html>
